Subject: bug#52324: closed (Re: bug#52324: 29.0.50; "Padded" mode line lacks uniform border)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Dec 2021 07:01:02 +0000

Your bug report

#52324: 29.0.50; "Padded" mode line lacks uniform border

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52324: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52324
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52324: 29.0.50; "Padded" mode line lacks uniform border
From: Po Lu <[email-masked]>
To: Protesilaos Stavrou <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Mon, 13 Dec 2021 15:00:14 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Protesilaos Stavrou <[email-masked]> writes:

> Good day!
>
> I can confirm that the following works on my end:
>
>     (setq x-underline-at-descent-line t
>           x-use-underline-position-properties nil)
>
>     (set-face-attribute 'mode-line nil
>                         :foreground "black"
>                         :background "gray80"
>                         :box '(:line-width 6 :color "gray80")
>                         :overline "gray30"
>                         :underline "gray30"
>                         :distant-foreground 'unspecified)
>
> M-x emacs-version:
>
>     GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>     3.24.30, cairo version 1.17.4) of 2021-12-13.

Fantastic, thanks for testing!  I'm closing the bug report.

Subject: 29.0.50; "Padded" mode line lacks uniform border
From: Protesilaos Stavrou <[email-masked]>
To: [email-masked]
Date: Mon, 06 Dec 2021 10:58:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear maintainers,

In an emacs -Q session with version 27 we could evaluate the following
to make the mode line look more spacious ("padded", so to speak):

    (setq x-underline-at-descent-line t)

    (set-face-attribute 'mode-line nil
                        :foreground "black"
                        :background "gray80"
                        :box '(:line-width 6 :color "gray80")
                        :overline "gray30"
                        :underline "gray30"
                        :distant-foreground 'unspecified)

Whereas with master, the same results in a box with interrupted lines.

I attach screenshots, for your convenience.

* The emacs-27-mode-line-padded.png shows how it used to work on Emacs
  27.

* The emacs-29-mode-line-padded.png exhibits the current stylistic
  inconsistency.

Furthermore, there exists an invisible button (?) to the left of the
"All" text.  The emacs-29-mode-line-padded-mouse-pointer-button.png
shows it and also captures the tooltip.  (Maybe these are related to the
same underlying change on how the mode line is produced, otherwise I can
file a separate bug report).

All the best,
Protesilaos

-- 
Protesilaos Stavrou
https://protesilaos.com